| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
mma955x_appConfigRegister_t Struct Reference

`#include <mma955x.h>`

Collaboration diagram for mma955x_appConfigRegister_t:

## Data Fields
uint16 | sleep_minimum
uint16 | sleep_maximum
uint16 | sleep_count_threshold
uint8 | config
uint8 | step_length
uint8 | height
uint8 | weight
uint8 | filter_step
uint8 | filter_time
uint8 | speed_period
uint8 | step_threshold
uint16 | activity_count_threshold
uint8 | step_coalesce
uint8 | padding [3]

## Detailed Description

Definition at line 27 of file mma955x.h.

## Field Documentation

uint16 activity_count_threshold

Definition at line 40 of file mma955x.h.

Referenced by mma955x_GetConfig(), and mma955x_WriteConfig().

uint8 config

Definition at line 32 of file mma955x.h.

uint8 filter_step

Definition at line 36 of file mma955x.h.

uint8 filter_time

Definition at line 37 of file mma955x.h.

uint8 height

Definition at line 34 of file mma955x.h.

uint8 padding[3]

Definition at line 42 of file mma955x.h.

uint16 sleep_count_threshold

Definition at line 31 of file mma955x.h.

Referenced by mma955x_GetConfig(), and mma955x_WriteConfig().

uint16 sleep_maximum

Definition at line 30 of file mma955x.h.

Referenced by mma955x_GetConfig(), and mma955x_WriteConfig().

uint16 sleep_minimum

Definition at line 29 of file mma955x.h.

Referenced by mma955x_GetConfig(), and mma955x_WriteConfig().

uint8 speed_period

Definition at line 38 of file mma955x.h.

uint8 step_coalesce

Definition at line 41 of file mma955x.h.

uint8 step_length

Definition at line 33 of file mma955x.h.

uint8 step_threshold

Definition at line 39 of file mma955x.h.

uint8 weight

Definition at line 35 of file mma955x.h.

The documentation for this struct was generated from the following file:

- SensorSpecific/mma955x.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.